The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / openntpd / S49ntp
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/openntpd/S49ntp b/cirros-testvm/src-cirros/buildroot-2015.05/package/openntpd/S49ntp
new file mode 100755 (executable)
index 0000000..2654f82
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+[ -x /usr/sbin/ntpd ] || exit 0
+[ -f /etc/ntpd.conf ] || exit 0
+
+case "$1" in
+       start)
+               echo -n "Starting openntpd: "
+               start-stop-daemon -S -x /usr/sbin/ntpd -- -p /run/ntpd.pid
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       stop)
+               echo -n "Stopping openntpd: "
+               start-stop-daemon -K -q -p /run/ntpd.pid
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       restart)
+               "$0" stop
+               sleep 1
+               "$0" start
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               ;;
+esac